what top-level JARs does ActiveMQ 5.3.2 depend on?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

what top-level JARs does ActiveMQ 5.3.2 depend on?

bob.deremer
Hi all:

We manage our own JARs and wish to remove any that are not required.  What's the easiest way to get a dependency listing of all JARs that ActiveMQ 5.3.2 depends on?

Thanks in advance,
Bob
Reply | Threaded
Open this post in threaded view
|

Re: what top-level JARs does ActiveMQ 5.3.2 depend on?

gtully
A good place to look is the dependency section of the activemq-core
pom http://svn.apache.org/viewvc/activemq/tags/activemq-parent-5.3.2/activemq-core/pom.xml?view=markup

if you use maven, mvn dependency:tree will give you the required
information for each of the modules. that information for 5.3.0 (which
will match) is at
http://activemq.apache.org/maven/5.3.0/dependency-convergence.html

but the entire list depends on the functionality that you use so you
need to run some tests with your use cases to determine the
requirements.

On 12 July 2010 18:43, bob.deremer <[hidden email]> wrote:

>
> Hi all:
>
> We manage our own JARs and wish to remove any that are not required.  What's
> the easiest way to get a dependency listing of all JARs that ActiveMQ 5.3.2
> depends on?
>
> Thanks in advance,
> Bob
> --
> View this message in context: http://old.nabble.com/what-top-level-JARs-does-ActiveMQ-5.3.2-depend-on--tp29137049p29137049.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.
>
>



--
http://blog.garytully.com

Open Source Integration
http://fusesource.com